package com.steering.mes.mcp.entity;

/**
 * 数据库表TQNQD06所对应的实体类（生成工具：代码生成工具1.0.0.0   访问地址：http://172.16.2.128/tool/）
 * @author WIN-3A78MC3TM5F   date 2023-09-27
 */
@SuppressWarnings("serial")
public class Tqnqd06Entity implements java.io.Serializable {
    /**
     * 记录创建责任者
     */
    private String recCreator = "";
    /**
     * 记录创建时刻
     */
    private String recCreateTime = "";
    /**
     * 记录修改责任者
     */
    private String recRevisor = "";
    /**
     * 记录修改时刻
     */
    private String recReviseTime = "";
    /**
     * 归档标记
     */
    private String archiveFlag = "";
    /**
     * 修改/删除标记
     */
    private String duFlag = "";
    /**
     * 修改/删除责任者
     */
    private String duMaker = "";
    /**
     * 修改/删除时间
     */
    private String duTime = "";
    /**
     * 版次
     */
    private String version = "";
    /**
     * 优先级
     */
    private String serialNum = "";
    /**
     * 策略是否实现
     */
    private String strategryIs = "";
    /**
     * 代码
     */
    private String rpCode = "";
    /**
     * 工艺路径_名称
     */
    private String wholeBacklogName = "";
    /**
     * 工序_名称
     */
    private String wholeBacklog = "";
    /**
     * 备用1
     */
    private String alloyBak1 = "";
    /**
     * 备用2
     */
    private String alloyBak2 = "";
    /**
     * 备用3
     */
    private String alloyBak3 = "";
    /**
     * 备用4
     */
    private String alloyBak4 = "";
    /**
     * 备用5
     */
    private String alloyBak5 = "";
    /**
     * 备用6
     */
    private String alloyBak6 = "";
    /**
     * 备用7
     */
    private String alloyBak7 = "";
    /**
     * 备用8
     */
    private String alloyBak8 = "";
    /**
     * 备用9
     */
    private String alloyBak9 = "";
    /**
     * 备用10
     */
    private String alloyBak10 = "";
    /**
     * 序号
     */
    private String ltemNum = "";
    /**
     * 工序_代码
     */
    private String wholeBacklogCode = "";
    /**
     * 单耗
     */
    private String danhao = "";
    /**
     * 单价
     */
    private String unitPrice = "";
    /**
     * 工序成本
     */
    private String processCost = "";
    /**
     * 坯料来源
     */
    private String matOrigin = "";
    /**
     * 规格组距
     */
    private String classInterval = "";
    /**
     * 编号
     */
    private String processCode = "";
    /**
     * 备用字段_N1
     */
    private String spareItemN1 = "";
    /**
     * 备用字段_N2
     */
    private String spareItemN2 = "";
    /**
     * 备用字段_N3
     */
    private String spareItemN3 = "";
    /**
     * 备用字段_N4
     */
    private String spareItemN4 = "";
    /**
     * 备用字段_N5
     */
    private String spareItemN5 = "";
    /**
     * 备用字段_N6
     */
    private String spareItemN6 = "";
    /**
     * 备用字段_N7
     */
    private String spareItemN7 = "";
    /**
     * 备用字段_N8
     */
    private String spareItemN8 = "";
    /**
     * 物料编码
     */
    private String materialCode = "";
    /**
     * 当前库存单价
     */
    private String unitPriceNow = "";
    /**
     * 次月市场单价
     */
    private String unitPriceNext = "";
    /**
     * 当前库存价工序成本
     */
    private String processCostNow = "";
    /**
     * 次月市场价工序成本
     */
    private String processCostNext = "";
    /**
     * 月份
     */
    private String yearMonth = "";

    /**
     * 记录创建责任者
     * @return value
     */
    public String getRecCreator() {
        return recCreator;
    }

    /**
     * 记录创建责任者
     * @param recCreator value
     */
    public void setRecCreator(String recCreator) {
        this.recCreator = recCreator;
    }

    /**
     * 记录创建时刻
     * @return value
     */
    public String getRecCreateTime() {
        return recCreateTime;
    }

    /**
     * 记录创建时刻
     * @param recCreateTime value
     */
    public void setRecCreateTime(String recCreateTime) {
        this.recCreateTime = recCreateTime;
    }

    /**
     * 记录修改责任者
     * @return value
     */
    public String getRecRevisor() {
        return recRevisor;
    }

    /**
     * 记录修改责任者
     * @param recRevisor value
     */
    public void setRecRevisor(String recRevisor) {
        this.recRevisor = recRevisor;
    }

    /**
     * 记录修改时刻
     * @return value
     */
    public String getRecReviseTime() {
        return recReviseTime;
    }

    /**
     * 记录修改时刻
     * @param recReviseTime value
     */
    public void setRecReviseTime(String recReviseTime) {
        this.recReviseTime = recReviseTime;
    }

    /**
     * 归档标记
     * @return value
     */
    public String getArchiveFlag() {
        return archiveFlag;
    }

    /**
     * 归档标记
     * @param archiveFlag value
     */
    public void setArchiveFlag(String archiveFlag) {
        this.archiveFlag = archiveFlag;
    }

    /**
     * 修改/删除标记
     * @return value
     */
    public String getDuFlag() {
        return duFlag;
    }

    /**
     * 修改/删除标记
     * @param duFlag value
     */
    public void setDuFlag(String duFlag) {
        this.duFlag = duFlag;
    }

    /**
     * 修改/删除责任者
     * @return value
     */
    public String getDuMaker() {
        return duMaker;
    }

    /**
     * 修改/删除责任者
     * @param duMaker value
     */
    public void setDuMaker(String duMaker) {
        this.duMaker = duMaker;
    }

    /**
     * 修改/删除时间
     * @return value
     */
    public String getDuTime() {
        return duTime;
    }

    /**
     * 修改/删除时间
     * @param duTime value
     */
    public void setDuTime(String duTime) {
        this.duTime = duTime;
    }

    /**
     * 版次
     * @return value
     */
    public String getVersion() {
        return version;
    }

    /**
     * 版次
     * @param version value
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * 优先级
     * @return value
     */
    public String getSerialNum() {
        return serialNum;
    }

    /**
     * 优先级
     * @param serialNum value
     */
    public void setSerialNum(String serialNum) {
        this.serialNum = serialNum;
    }

    /**
     * 策略是否实现
     * @return value
     */
    public String getStrategryIs() {
        return strategryIs;
    }

    /**
     * 策略是否实现
     * @param strategryIs value
     */
    public void setStrategryIs(String strategryIs) {
        this.strategryIs = strategryIs;
    }

    /**
     * 代码
     * @return value
     */
    public String getRpCode() {
        return rpCode;
    }

    /**
     * 代码
     * @param rpCode value
     */
    public void setRpCode(String rpCode) {
        this.rpCode = rpCode;
    }

    /**
     * 工艺路径_名称
     * @return value
     */
    public String getWholeBacklogName() {
        return wholeBacklogName;
    }

    /**
     * 工艺路径_名称
     * @param wholeBacklogName value
     */
    public void setWholeBacklogName(String wholeBacklogName) {
        this.wholeBacklogName = wholeBacklogName;
    }

    /**
     * 工序_名称
     * @return value
     */
    public String getWholeBacklog() {
        return wholeBacklog;
    }

    /**
     * 工序_名称
     * @param wholeBacklog value
     */
    public void setWholeBacklog(String wholeBacklog) {
        this.wholeBacklog = wholeBacklog;
    }

    /**
     * 备用1
     * @return value
     */
    public String getAlloyBak1() {
        return alloyBak1;
    }

    /**
     * 备用1
     * @param alloyBak1 value
     */
    public void setAlloyBak1(String alloyBak1) {
        this.alloyBak1 = alloyBak1;
    }

    /**
     * 备用2
     * @return value
     */
    public String getAlloyBak2() {
        return alloyBak2;
    }

    /**
     * 备用2
     * @param alloyBak2 value
     */
    public void setAlloyBak2(String alloyBak2) {
        this.alloyBak2 = alloyBak2;
    }

    /**
     * 备用3
     * @return value
     */
    public String getAlloyBak3() {
        return alloyBak3;
    }

    /**
     * 备用3
     * @param alloyBak3 value
     */
    public void setAlloyBak3(String alloyBak3) {
        this.alloyBak3 = alloyBak3;
    }

    /**
     * 备用4
     * @return value
     */
    public String getAlloyBak4() {
        return alloyBak4;
    }

    /**
     * 备用4
     * @param alloyBak4 value
     */
    public void setAlloyBak4(String alloyBak4) {
        this.alloyBak4 = alloyBak4;
    }

    /**
     * 备用5
     * @return value
     */
    public String getAlloyBak5() {
        return alloyBak5;
    }

    /**
     * 备用5
     * @param alloyBak5 value
     */
    public void setAlloyBak5(String alloyBak5) {
        this.alloyBak5 = alloyBak5;
    }

    /**
     * 备用6
     * @return value
     */
    public String getAlloyBak6() {
        return alloyBak6;
    }

    /**
     * 备用6
     * @param alloyBak6 value
     */
    public void setAlloyBak6(String alloyBak6) {
        this.alloyBak6 = alloyBak6;
    }

    /**
     * 备用7
     * @return value
     */
    public String getAlloyBak7() {
        return alloyBak7;
    }

    /**
     * 备用7
     * @param alloyBak7 value
     */
    public void setAlloyBak7(String alloyBak7) {
        this.alloyBak7 = alloyBak7;
    }

    /**
     * 备用8
     * @return value
     */
    public String getAlloyBak8() {
        return alloyBak8;
    }

    /**
     * 备用8
     * @param alloyBak8 value
     */
    public void setAlloyBak8(String alloyBak8) {
        this.alloyBak8 = alloyBak8;
    }

    /**
     * 备用9
     * @return value
     */
    public String getAlloyBak9() {
        return alloyBak9;
    }

    /**
     * 备用9
     * @param alloyBak9 value
     */
    public void setAlloyBak9(String alloyBak9) {
        this.alloyBak9 = alloyBak9;
    }

    /**
     * 备用10
     * @return value
     */
    public String getAlloyBak10() {
        return alloyBak10;
    }

    /**
     * 备用10
     * @param alloyBak10 value
     */
    public void setAlloyBak10(String alloyBak10) {
        this.alloyBak10 = alloyBak10;
    }

    /**
     * 序号
     * @return value
     */
    public String getLtemNum() {
        return ltemNum;
    }

    /**
     * 序号
     * @param ltemNum value
     */
    public void setLtemNum(String ltemNum) {
        this.ltemNum = ltemNum;
    }

    /**
     * 工序_代码
     * @return value
     */
    public String getWholeBacklogCode() {
        return wholeBacklogCode;
    }

    /**
     * 工序_代码
     * @param wholeBacklogCode value
     */
    public void setWholeBacklogCode(String wholeBacklogCode) {
        this.wholeBacklogCode = wholeBacklogCode;
    }

    /**
     * 单耗
     * @return value
     */
    public String getDanhao() {
        return danhao;
    }

    /**
     * 单耗
     * @param danhao value
     */
    public void setDanhao(String danhao) {
        this.danhao = danhao;
    }

    /**
     * 单价
     * @return value
     */
    public String getUnitPrice() {
        return unitPrice;
    }

    /**
     * 单价
     * @param unitPrice value
     */
    public void setUnitPrice(String unitPrice) {
        this.unitPrice = unitPrice;
    }

    /**
     * 工序成本
     * @return value
     */
    public String getProcessCost() {
        return processCost;
    }

    /**
     * 工序成本
     * @param processCost value
     */
    public void setProcessCost(String processCost) {
        this.processCost = processCost;
    }

    /**
     * 坯料来源
     * @return value
     */
    public String getMatOrigin() {
        return matOrigin;
    }

    /**
     * 坯料来源
     * @param matOrigin value
     */
    public void setMatOrigin(String matOrigin) {
        this.matOrigin = matOrigin;
    }

    /**
     * 规格组距
     * @return value
     */
    public String getClassInterval() {
        return classInterval;
    }

    /**
     * 规格组距
     * @param classInterval value
     */
    public void setClassInterval(String classInterval) {
        this.classInterval = classInterval;
    }

    /**
     * 编号
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 编号
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 备用字段_N1
     * @return value
     */
    public String getSpareItemN1() {
        return spareItemN1;
    }

    /**
     * 备用字段_N1
     * @param spareItemN1 value
     */
    public void setSpareItemN1(String spareItemN1) {
        this.spareItemN1 = spareItemN1;
    }

    /**
     * 备用字段_N2
     * @return value
     */
    public String getSpareItemN2() {
        return spareItemN2;
    }

    /**
     * 备用字段_N2
     * @param spareItemN2 value
     */
    public void setSpareItemN2(String spareItemN2) {
        this.spareItemN2 = spareItemN2;
    }

    /**
     * 备用字段_N3
     * @return value
     */
    public String getSpareItemN3() {
        return spareItemN3;
    }

    /**
     * 备用字段_N3
     * @param spareItemN3 value
     */
    public void setSpareItemN3(String spareItemN3) {
        this.spareItemN3 = spareItemN3;
    }

    /**
     * 备用字段_N4
     * @return value
     */
    public String getSpareItemN4() {
        return spareItemN4;
    }

    /**
     * 备用字段_N4
     * @param spareItemN4 value
     */
    public void setSpareItemN4(String spareItemN4) {
        this.spareItemN4 = spareItemN4;
    }

    /**
     * 备用字段_N5
     * @return value
     */
    public String getSpareItemN5() {
        return spareItemN5;
    }

    /**
     * 备用字段_N5
     * @param spareItemN5 value
     */
    public void setSpareItemN5(String spareItemN5) {
        this.spareItemN5 = spareItemN5;
    }

    /**
     * 备用字段_N6
     * @return value
     */
    public String getSpareItemN6() {
        return spareItemN6;
    }

    /**
     * 备用字段_N6
     * @param spareItemN6 value
     */
    public void setSpareItemN6(String spareItemN6) {
        this.spareItemN6 = spareItemN6;
    }

    /**
     * 备用字段_N7
     * @return value
     */
    public String getSpareItemN7() {
        return spareItemN7;
    }

    /**
     * 备用字段_N7
     * @param spareItemN7 value
     */
    public void setSpareItemN7(String spareItemN7) {
        this.spareItemN7 = spareItemN7;
    }

    /**
     * 备用字段_N8
     * @return value
     */
    public String getSpareItemN8() {
        return spareItemN8;
    }

    /**
     * 备用字段_N8
     * @param spareItemN8 value
     */
    public void setSpareItemN8(String spareItemN8) {
        this.spareItemN8 = spareItemN8;
    }

    /**
     * 物料编码
     * @return value
     */
    public String getMaterialCode() {
        return materialCode;
    }

    /**
     * 物料编码
     * @param materialCode value
     */
    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    /**
     * 当前库存单价
     * @return value
     */
    public String getUnitPriceNow() {
        return unitPriceNow;
    }

    /**
     * 当前库存单价
     * @param unitPriceNow value
     */
    public void setUnitPriceNow(String unitPriceNow) {
        this.unitPriceNow = unitPriceNow;
    }

    /**
     * 次月市场单价
     * @return value
     */
    public String getUnitPriceNext() {
        return unitPriceNext;
    }

    /**
     * 次月市场单价
     * @param unitPriceNext value
     */
    public void setUnitPriceNext(String unitPriceNext) {
        this.unitPriceNext = unitPriceNext;
    }

    /**
     * 当前库存价工序成本
     * @return value
     */
    public String getProcessCostNow() {
        return processCostNow;
    }

    /**
     * 当前库存价工序成本
     * @param processCostNow value
     */
    public void setProcessCostNow(String processCostNow) {
        this.processCostNow = processCostNow;
    }

    /**
     * 次月市场价工序成本
     * @return value
     */
    public String getProcessCostNext() {
        return processCostNext;
    }

    /**
     * 次月市场价工序成本
     * @param processCostNext value
     */
    public void setProcessCostNext(String processCostNext) {
        this.processCostNext = processCostNext;
    }

    /**
     * 月份
     * @return value
     */
    public String getYearMonth() {
        return yearMonth;
    }

    /**
     * 月份
     * @param yearMonth value
     */
    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }
}
